/* preferences-dialog.c generated by valac 0.40.19, the Vala compiler
 * generated from preferences-dialog.vala, do not modify */

/*
 * Copyright (C) 2009-2017 Canonical Ltd.
 * Author: Robert Ancell <robert.ancell@canonical.com>,
 *         Eduard Gotwig <g@ox.io>
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version. See http://www.gnu.org/copyleft/gpl.html the full text of the
 * license.
 */


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gio/gio.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>


#define TYPE_PREFERENCES_DIALOG (preferences_dialog_get_type ())
#define PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_PREFERENCES_DIALOG, PreferencesDialog))
#define PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_PREFERENCES_DIALOG, PreferencesDialogClass))
#define IS_PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_PREFERENCES_DIALOG))
#define IS_PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_PREFERENCES_DIALOG))
#define PREFERENCES_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_PREFERENCES_DIALOG, PreferencesDialogClass))

typedef struct _PreferencesDialog PreferencesDialog;
typedef struct _PreferencesDialogClass PreferencesDialogClass;
typedef struct _PreferencesDialogPrivate PreferencesDialogPrivate;
enum  {
	PREFERENCES_DIALOG_0_PROPERTY,
	PREFERENCES_DIALOG_NUM_PROPERTIES
};
static GParamSpec* preferences_dialog_properties[PREFERENCES_DIALOG_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block7Data Block7Data;
typedef enum  {
	SCAN_TYPE_SINGLE,
	SCAN_TYPE_ADF_FRONT,
	SCAN_TYPE_ADF_BACK,
	SCAN_TYPE_ADF_BOTH,
	SCAN_TYPE_BATCH
} ScanType;


#define TYPE_SCAN_TYPE (scan_type_get_type ())
#define _g_free0(var) (var = (g_free (var), NULL))

struct _PreferencesDialog {
	GtkDialog parent_instance;
	PreferencesDialogPrivate * priv;
};

struct _PreferencesDialogClass {
	GtkDialogClass parent_class;
};

struct _PreferencesDialogPrivate {
	GSettings* settings;
	GtkComboBox* text_dpi_combo;
	GtkComboBox* photo_dpi_combo;
	GtkComboBox* paper_size_combo;
	GtkScale* brightness_scale;
	GtkScale* contrast_scale;
	GtkRadioButton* page_delay_3s_button;
	GtkRadioButton* page_delay_5s_button;
	GtkRadioButton* page_delay_7s_button;
	GtkRadioButton* page_delay_10s_button;
	GtkRadioButton* page_delay_15s_button;
	GtkListStore* text_dpi_model;
	GtkListStore* photo_dpi_model;
	GtkRadioButton* front_side_button;
	GtkRadioButton* back_side_button;
	GtkRadioButton* both_side_button;
	GtkListStore* paper_size_model;
	GtkAdjustment* brightness_adjustment;
	GtkAdjustment* contrast_adjustment;
};

struct _Block7Data {
	int _ref_count_;
	PreferencesDialog* self;
	GSettings* settings;
};


static gpointer preferences_dialog_parent_class = NULL;

GType preferences_dialog_get_type (void) G_GNUC_CONST;
#define PREFERENCES_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_PREFERENCES_DIALOG, PreferencesDialogPrivate))
PreferencesDialog* preferences_dialog_new (GSettings* settings);
PreferencesDialog* preferences_dialog_construct (GType object_type,
                                                 GSettings* settings);
static Block7Data* block7_data_ref (Block7Data* _data7_);
static void block7_data_unref (void * _userdata_);
#define DEFAULT_TEXT_DPI 150
static void preferences_dialog_set_dpi_combo (PreferencesDialog* self,
                                       GtkComboBox* combo,
                                       gint default_dpi,
                                       gint current_dpi);
static void __lambda4_ (Block7Data* _data7_);
gint preferences_dialog_get_text_dpi (PreferencesDialog* self);
static void ___lambda4__gtk_combo_box_changed (GtkComboBox* _sender,
                                        gpointer self);
#define DEFAULT_PHOTO_DPI 300
static void __lambda5_ (Block7Data* _data7_);
gint preferences_dialog_get_photo_dpi (PreferencesDialog* self);
static void ___lambda5__gtk_combo_box_changed (GtkComboBox* _sender,
                                        gpointer self);
GType scan_type_get_type (void) G_GNUC_CONST;
static void preferences_dialog_set_page_side (PreferencesDialog* self,
                                       ScanType page_side);
static void __lambda6_ (Block7Data* _data7_,
                 GtkToggleButton* button);
static void ___lambda6__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                            gpointer self);
static void __lambda7_ (Block7Data* _data7_,
                 GtkToggleButton* button);
static void ___lambda7__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                            gpointer self);
static void __lambda8_ (Block7Data* _data7_,
                 GtkToggleButton* button);
static void ___lambda8__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                            gpointer self);
static void __lambda9_ (Block7Data* _data7_);
gint preferences_dialog_get_brightness (PreferencesDialog* self);
static void ___lambda9__gtk_adjustment_value_changed (GtkAdjustment* _sender,
                                               gpointer self);
static void __lambda10_ (Block7Data* _data7_);
gint preferences_dialog_get_contrast (PreferencesDialog* self);
static void ___lambda10__gtk_adjustment_value_changed (GtkAdjustment* _sender,
                                                gpointer self);
void preferences_dialog_set_paper_size (PreferencesDialog* self,
                                        gint width,
                                        gint height);
static void __lambda11_ (Block7Data* _data7_);
gboolean preferences_dialog_get_paper_size (PreferencesDialog* self,
                                            gint* width,
                                            gint* height);
static void ___lambda11__gtk_combo_box_changed (GtkComboBox* _sender,
                                         gpointer self);
void preferences_dialog_set_page_delay (PreferencesDialog* self,
                                        gint page_delay);
static void __lambda12_ (Block7Data* _data7_,
                  GtkToggleButton* button);
static void ___lambda12__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                             gpointer self);
static void __lambda13_ (Block7Data* _data7_,
                  GtkToggleButton* button);
static void ___lambda13__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                             gpointer self);
static void __lambda14_ (Block7Data* _data7_,
                  GtkToggleButton* button);
static void ___lambda14__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                             gpointer self);
static void __lambda15_ (Block7Data* _data7_,
                  GtkToggleButton* button);
static void ___lambda15__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                             gpointer self);
static void __lambda16_ (Block7Data* _data7_,
                  GtkToggleButton* button);
static void ___lambda16__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                             gpointer self);
ScanType preferences_dialog_get_page_side (PreferencesDialog* self);
void preferences_dialog_set_brightness (PreferencesDialog* self,
                                        gint brightness);
void preferences_dialog_set_contrast (PreferencesDialog* self,
                                      gint contrast);
gint preferences_dialog_get_page_delay (PreferencesDialog* self);
static void preferences_dialog_finalize (GObject * obj);


static gpointer
_g_object_ref0 (gpointer self)
{
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 187 "preferences-dialog.c"
}


static Block7Data*
block7_data_ref (Block7Data* _data7_)
{
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_atomic_int_inc (&_data7_->_ref_count_);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	return _data7_;
#line 198 "preferences-dialog.c"
}


static void
block7_data_unref (void * _userdata_)
{
	Block7Data* _data7_;
	_data7_ = (Block7Data*) _userdata_;
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (g_atomic_int_dec_and_test (&_data7_->_ref_count_)) {
#line 209 "preferences-dialog.c"
		PreferencesDialog* self;
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		self = _data7_->self;
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_g_object_unref0 (_data7_->settings);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_g_object_unref0 (self);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		g_slice_free (Block7Data, _data7_);
#line 219 "preferences-dialog.c"
	}
}


static void
__lambda4_ (Block7Data* _data7_)
{
	PreferencesDialog* self;
#line 85 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 85 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_settings_set_int (_data7_->settings, "text-dpi", preferences_dialog_get_text_dpi (self));
#line 232 "preferences-dialog.c"
}


static void
___lambda4__gtk_combo_box_changed (GtkComboBox* _sender,
                                   gpointer self)
{
#line 85 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda4_ (self);
#line 242 "preferences-dialog.c"
}


static void
__lambda5_ (Block7Data* _data7_)
{
	PreferencesDialog* self;
#line 90 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 90 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_settings_set_int (_data7_->settings, "photo-dpi", preferences_dialog_get_photo_dpi (self));
#line 254 "preferences-dialog.c"
}


static void
___lambda5__gtk_combo_box_changed (GtkComboBox* _sender,
                                   gpointer self)
{
#line 90 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda5_ (self);
#line 264 "preferences-dialog.c"
}


static void
__lambda6_ (Block7Data* _data7_,
            GtkToggleButton* button)
{
	PreferencesDialog* self;
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 93 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 93 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (button != NULL);
#line 93 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = gtk_toggle_button_get_active (button);
#line 93 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = _tmp0_;
#line 93 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp1_) {
#line 93 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		g_settings_set_enum (_data7_->settings, "page-side", (gint) SCAN_TYPE_ADF_FRONT);
#line 287 "preferences-dialog.c"
	}
}


static void
___lambda6__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                       gpointer self)
{
#line 93 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda6_ (self, _sender);
#line 298 "preferences-dialog.c"
}


static void
__lambda7_ (Block7Data* _data7_,
            GtkToggleButton* button)
{
	PreferencesDialog* self;
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 94 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 94 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (button != NULL);
#line 94 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = gtk_toggle_button_get_active (button);
#line 94 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = _tmp0_;
#line 94 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp1_) {
#line 94 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		g_settings_set_enum (_data7_->settings, "page-side", (gint) SCAN_TYPE_ADF_BACK);
#line 321 "preferences-dialog.c"
	}
}


static void
___lambda7__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                       gpointer self)
{
#line 94 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda7_ (self, _sender);
#line 332 "preferences-dialog.c"
}


static void
__lambda8_ (Block7Data* _data7_,
            GtkToggleButton* button)
{
	PreferencesDialog* self;
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 95 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 95 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (button != NULL);
#line 95 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = gtk_toggle_button_get_active (button);
#line 95 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = _tmp0_;
#line 95 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp1_) {
#line 95 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		g_settings_set_enum (_data7_->settings, "page-side", (gint) SCAN_TYPE_ADF_BOTH);
#line 355 "preferences-dialog.c"
	}
}


static void
___lambda8__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                       gpointer self)
{
#line 95 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda8_ (self, _sender);
#line 366 "preferences-dialog.c"
}


static void
__lambda9_ (Block7Data* _data7_)
{
	PreferencesDialog* self;
#line 109 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 109 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_settings_set_int (_data7_->settings, "brightness", preferences_dialog_get_brightness (self));
#line 378 "preferences-dialog.c"
}


static void
___lambda9__gtk_adjustment_value_changed (GtkAdjustment* _sender,
                                          gpointer self)
{
#line 109 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda9_ (self);
#line 388 "preferences-dialog.c"
}


static void
__lambda10_ (Block7Data* _data7_)
{
	PreferencesDialog* self;
#line 119 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 119 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_settings_set_int (_data7_->settings, "contrast", preferences_dialog_get_contrast (self));
#line 400 "preferences-dialog.c"
}


static void
___lambda10__gtk_adjustment_value_changed (GtkAdjustment* _sender,
                                           gpointer self)
{
#line 119 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda10_ (self);
#line 410 "preferences-dialog.c"
}


static void
__lambda11_ (Block7Data* _data7_)
{
	PreferencesDialog* self;
	gint w = 0;
	gint h = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
#line 124 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 127 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	preferences_dialog_get_paper_size (self, &_tmp0_, &_tmp1_);
#line 127 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	w = _tmp0_;
#line 127 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	h = _tmp1_;
#line 128 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_settings_set_int (_data7_->settings, "paper-width", w);
#line 129 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_settings_set_int (_data7_->settings, "paper-height", h);
#line 434 "preferences-dialog.c"
}


static void
___lambda11__gtk_combo_box_changed (GtkComboBox* _sender,
                                    gpointer self)
{
#line 124 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda11_ (self);
#line 444 "preferences-dialog.c"
}


static void
__lambda12_ (Block7Data* _data7_,
             GtkToggleButton* button)
{
	PreferencesDialog* self;
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 133 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 133 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (button != NULL);
#line 133 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = gtk_toggle_button_get_active (button);
#line 133 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = _tmp0_;
#line 133 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp1_) {
#line 133 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		g_settings_set_int (_data7_->settings, "page-delay", 3000);
#line 467 "preferences-dialog.c"
	}
}


static void
___lambda12__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                        gpointer self)
{
#line 133 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda12_ (self, _sender);
#line 478 "preferences-dialog.c"
}


static void
__lambda13_ (Block7Data* _data7_,
             GtkToggleButton* button)
{
	PreferencesDialog* self;
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 134 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 134 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (button != NULL);
#line 134 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = gtk_toggle_button_get_active (button);
#line 134 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = _tmp0_;
#line 134 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp1_) {
#line 134 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		g_settings_set_int (_data7_->settings, "page-delay", 5000);
#line 501 "preferences-dialog.c"
	}
}


static void
___lambda13__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                        gpointer self)
{
#line 134 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda13_ (self, _sender);
#line 512 "preferences-dialog.c"
}


static void
__lambda14_ (Block7Data* _data7_,
             GtkToggleButton* button)
{
	PreferencesDialog* self;
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 135 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 135 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (button != NULL);
#line 135 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = gtk_toggle_button_get_active (button);
#line 135 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = _tmp0_;
#line 135 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp1_) {
#line 135 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		g_settings_set_int (_data7_->settings, "page-delay", 7000);
#line 535 "preferences-dialog.c"
	}
}


static void
___lambda14__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                        gpointer self)
{
#line 135 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda14_ (self, _sender);
#line 546 "preferences-dialog.c"
}


static void
__lambda15_ (Block7Data* _data7_,
             GtkToggleButton* button)
{
	PreferencesDialog* self;
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 136 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 136 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (button != NULL);
#line 136 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = gtk_toggle_button_get_active (button);
#line 136 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = _tmp0_;
#line 136 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp1_) {
#line 136 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		g_settings_set_int (_data7_->settings, "page-delay", 10000);
#line 569 "preferences-dialog.c"
	}
}


static void
___lambda15__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                        gpointer self)
{
#line 136 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda15_ (self, _sender);
#line 580 "preferences-dialog.c"
}


static void
__lambda16_ (Block7Data* _data7_,
             GtkToggleButton* button)
{
	PreferencesDialog* self;
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 137 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = _data7_->self;
#line 137 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (button != NULL);
#line 137 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = gtk_toggle_button_get_active (button);
#line 137 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = _tmp0_;
#line 137 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp1_) {
#line 137 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		g_settings_set_int (_data7_->settings, "page-delay", 15000);
#line 603 "preferences-dialog.c"
	}
}


static void
___lambda16__gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                        gpointer self)
{
#line 137 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	__lambda16_ (self, _sender);
#line 614 "preferences-dialog.c"
}


PreferencesDialog*
preferences_dialog_construct (GType object_type,
                              GSettings* settings)
{
	PreferencesDialog * self = NULL;
	Block7Data* _data7_;
	GSettings* _tmp0_;
	GSettings* _tmp1_;
	GtkTreeIter iter = {0};
	GtkListStore* _tmp2_;
	GtkTreeIter _tmp3_ = {0};
	GtkListStore* _tmp4_;
	GtkTreeIter _tmp5_;
	GtkListStore* _tmp6_;
	GtkTreeIter _tmp7_ = {0};
	GtkListStore* _tmp8_;
	GtkTreeIter _tmp9_;
	GtkListStore* _tmp10_;
	GtkTreeIter _tmp11_ = {0};
	GtkListStore* _tmp12_;
	GtkTreeIter _tmp13_;
	GtkListStore* _tmp14_;
	GtkTreeIter _tmp15_ = {0};
	GtkListStore* _tmp16_;
	GtkTreeIter _tmp17_;
	GtkListStore* _tmp18_;
	GtkTreeIter _tmp19_ = {0};
	GtkListStore* _tmp20_;
	GtkTreeIter _tmp21_;
	GtkListStore* _tmp22_;
	GtkTreeIter _tmp23_ = {0};
	GtkListStore* _tmp24_;
	GtkTreeIter _tmp25_;
	GtkListStore* _tmp26_;
	GtkTreeIter _tmp27_ = {0};
	GtkListStore* _tmp28_;
	GtkTreeIter _tmp29_;
	GtkListStore* _tmp30_;
	GtkTreeIter _tmp31_ = {0};
	GtkListStore* _tmp32_;
	GtkTreeIter _tmp33_;
	gint dpi = 0;
	gint _tmp34_;
	GtkComboBox* _tmp35_;
	gint _tmp36_;
	GtkComboBox* _tmp37_;
	gint _tmp38_;
	GtkComboBox* _tmp39_;
	gint _tmp40_;
	GtkComboBox* _tmp41_;
	GtkRadioButton* _tmp42_;
	GtkRadioButton* _tmp43_;
	GtkRadioButton* _tmp44_;
	GtkCellRendererText* renderer = NULL;
	GtkCellRendererText* _tmp45_;
	GtkComboBox* _tmp46_;
	GtkComboBox* _tmp47_;
	gdouble lower = 0.0;
	GtkAdjustment* _tmp48_;
	gdouble _tmp49_;
	gdouble _tmp50_;
	gchar* darker_label = NULL;
	gchar* _tmp51_;
	gdouble upper = 0.0;
	GtkAdjustment* _tmp52_;
	gdouble _tmp53_;
	gdouble _tmp54_;
	gchar* lighter_label = NULL;
	gchar* _tmp55_;
	GtkScale* _tmp56_;
	gdouble _tmp57_;
	GtkScale* _tmp58_;
	GtkScale* _tmp59_;
	gdouble _tmp60_;
	GtkAdjustment* _tmp61_;
	GtkAdjustment* _tmp62_;
	GtkAdjustment* _tmp63_;
	gdouble _tmp64_;
	gdouble _tmp65_;
	gchar* less_label = NULL;
	gchar* _tmp66_;
	GtkAdjustment* _tmp67_;
	gdouble _tmp68_;
	gdouble _tmp69_;
	gchar* more_label = NULL;
	gchar* _tmp70_;
	GtkScale* _tmp71_;
	gdouble _tmp72_;
	GtkScale* _tmp73_;
	GtkScale* _tmp74_;
	gdouble _tmp75_;
	GtkAdjustment* _tmp76_;
	GtkAdjustment* _tmp77_;
	gint paper_width = 0;
	gint paper_height = 0;
	GtkComboBox* _tmp78_;
	GtkRadioButton* _tmp79_;
	GtkRadioButton* _tmp80_;
	GtkRadioButton* _tmp81_;
	GtkRadioButton* _tmp82_;
	GtkRadioButton* _tmp83_;
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_val_if_fail (settings != NULL, NULL);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_data7_ = g_slice_new0 (Block7Data);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_data7_->_ref_count_ = 1;
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = _g_object_ref0 (settings);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (_data7_->settings);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_data7_->settings = _tmp0_;
#line 57 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = (PreferencesDialog*) g_object_new (object_type, "use-header-bar", 1, NULL);
#line 57 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_data7_->self = g_object_ref (self);
#line 59 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = _g_object_ref0 (_data7_->settings);
#line 59 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->settings);
#line 59 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self->priv->settings = _tmp1_;
#line 62 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp2_ = self->priv->paper_size_model;
#line 62 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_append (_tmp2_, &_tmp3_);
#line 62 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	iter = _tmp3_;
#line 63 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp4_ = self->priv->paper_size_model;
#line 63 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp5_ = iter;
#line 63 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_set (_tmp4_, &_tmp5_, 0, 0, 1, 0, 2, _ ("Automatic"), -1, -1);
#line 66 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp6_ = self->priv->paper_size_model;
#line 66 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_append (_tmp6_, &_tmp7_);
#line 66 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	iter = _tmp7_;
#line 67 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp8_ = self->priv->paper_size_model;
#line 67 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp9_ = iter;
#line 67 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_set (_tmp8_, &_tmp9_, 0, 1050, 1, 1480, 2, "A6", -1, -1);
#line 68 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp10_ = self->priv->paper_size_model;
#line 68 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_append (_tmp10_, &_tmp11_);
#line 68 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	iter = _tmp11_;
#line 69 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp12_ = self->priv->paper_size_model;
#line 69 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp13_ = iter;
#line 69 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_set (_tmp12_, &_tmp13_, 0, 1480, 1, 2100, 2, "A5", -1, -1);
#line 70 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp14_ = self->priv->paper_size_model;
#line 70 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_append (_tmp14_, &_tmp15_);
#line 70 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	iter = _tmp15_;
#line 71 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp16_ = self->priv->paper_size_model;
#line 71 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp17_ = iter;
#line 71 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_set (_tmp16_, &_tmp17_, 0, 2100, 1, 2970, 2, "A4", -1, -1);
#line 72 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp18_ = self->priv->paper_size_model;
#line 72 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_append (_tmp18_, &_tmp19_);
#line 72 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	iter = _tmp19_;
#line 73 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp20_ = self->priv->paper_size_model;
#line 73 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp21_ = iter;
#line 73 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_set (_tmp20_, &_tmp21_, 0, 2970, 1, 4200, 2, "A3", -1, -1);
#line 74 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp22_ = self->priv->paper_size_model;
#line 74 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_append (_tmp22_, &_tmp23_);
#line 74 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	iter = _tmp23_;
#line 75 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp24_ = self->priv->paper_size_model;
#line 75 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp25_ = iter;
#line 75 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_set (_tmp24_, &_tmp25_, 0, 2159, 1, 2794, 2, "Letter", -1, -1);
#line 76 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp26_ = self->priv->paper_size_model;
#line 76 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_append (_tmp26_, &_tmp27_);
#line 76 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	iter = _tmp27_;
#line 77 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp28_ = self->priv->paper_size_model;
#line 77 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp29_ = iter;
#line 77 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_set (_tmp28_, &_tmp29_, 0, 2159, 1, 3556, 2, "Legal", -1, -1);
#line 78 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp30_ = self->priv->paper_size_model;
#line 78 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_append (_tmp30_, &_tmp31_);
#line 78 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	iter = _tmp31_;
#line 79 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp32_ = self->priv->paper_size_model;
#line 79 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp33_ = iter;
#line 79 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_list_store_set (_tmp32_, &_tmp33_, 0, 1016, 1, 1524, 2, "4×6", -1, -1);
#line 81 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	dpi = g_settings_get_int (_data7_->settings, "text-dpi");
#line 82 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp34_ = dpi;
#line 82 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp34_ <= 0) {
#line 83 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		dpi = DEFAULT_TEXT_DPI;
#line 845 "preferences-dialog.c"
	}
#line 84 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp35_ = self->priv->text_dpi_combo;
#line 84 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp36_ = dpi;
#line 84 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	preferences_dialog_set_dpi_combo (self, _tmp35_, DEFAULT_TEXT_DPI, _tmp36_);
#line 85 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp37_ = self->priv->text_dpi_combo;
#line 85 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data (_tmp37_, "changed", (GCallback) ___lambda4__gtk_combo_box_changed, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 86 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	dpi = g_settings_get_int (_data7_->settings, "photo-dpi");
#line 87 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp38_ = dpi;
#line 87 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp38_ <= 0) {
#line 88 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		dpi = DEFAULT_PHOTO_DPI;
#line 865 "preferences-dialog.c"
	}
#line 89 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp39_ = self->priv->photo_dpi_combo;
#line 89 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp40_ = dpi;
#line 89 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	preferences_dialog_set_dpi_combo (self, _tmp39_, DEFAULT_PHOTO_DPI, _tmp40_);
#line 90 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp41_ = self->priv->photo_dpi_combo;
#line 90 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data (_tmp41_, "changed", (GCallback) ___lambda5__gtk_combo_box_changed, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 92 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	preferences_dialog_set_page_side (self, (ScanType) g_settings_get_enum (_data7_->settings, "page-side"));
#line 93 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp42_ = self->priv->front_side_button;
#line 93 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp42_, "toggled", (GCallback) ___lambda6__gtk_toggle_button_toggled, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 94 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp43_ = self->priv->back_side_button;
#line 94 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp43_, "toggled", (GCallback) ___lambda7__gtk_toggle_button_toggled, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 95 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp44_ = self->priv->both_side_button;
#line 95 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp44_, "toggled", (GCallback) ___lambda8__gtk_toggle_button_toggled, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 97 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp45_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 97 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_object_ref_sink (_tmp45_);
#line 97 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	renderer = _tmp45_;
#line 98 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp46_ = self->priv->paper_size_combo;
#line 98 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp46_, (GtkCellRenderer*) renderer, TRUE);
#line 99 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp47_ = self->priv->paper_size_combo;
#line 99 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp47_, (GtkCellRenderer*) renderer, "text", 2);
#line 101 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp48_ = self->priv->brightness_adjustment;
#line 101 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp49_ = gtk_adjustment_get_lower (_tmp48_);
#line 101 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp50_ = _tmp49_;
#line 101 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	lower = _tmp50_;
#line 102 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp51_ = g_strdup_printf ("<small>%s</small>", _ ("Darker"));
#line 102 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	darker_label = _tmp51_;
#line 103 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp52_ = self->priv->brightness_adjustment;
#line 103 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp53_ = gtk_adjustment_get_upper (_tmp52_);
#line 103 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp54_ = _tmp53_;
#line 103 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	upper = _tmp54_;
#line 104 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp55_ = g_strdup_printf ("<small>%s</small>", _ ("Lighter"));
#line 104 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	lighter_label = _tmp55_;
#line 105 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp56_ = self->priv->brightness_scale;
#line 105 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp57_ = lower;
#line 105 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_scale_add_mark (_tmp56_, _tmp57_, GTK_POS_BOTTOM, darker_label);
#line 106 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp58_ = self->priv->brightness_scale;
#line 106 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_scale_add_mark (_tmp58_, (gdouble) 0, GTK_POS_BOTTOM, NULL);
#line 107 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp59_ = self->priv->brightness_scale;
#line 107 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp60_ = upper;
#line 107 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_scale_add_mark (_tmp59_, _tmp60_, GTK_POS_BOTTOM, lighter_label);
#line 108 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp61_ = self->priv->brightness_adjustment;
#line 108 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_adjustment_set_value (_tmp61_, (gdouble) g_settings_get_int (_data7_->settings, "brightness"));
#line 109 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp62_ = self->priv->brightness_adjustment;
#line 109 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data (_tmp62_, "value-changed", (GCallback) ___lambda9__gtk_adjustment_value_changed, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 111 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp63_ = self->priv->contrast_adjustment;
#line 111 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp64_ = gtk_adjustment_get_lower (_tmp63_);
#line 111 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp65_ = _tmp64_;
#line 111 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	lower = _tmp65_;
#line 112 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp66_ = g_strdup_printf ("<small>%s</small>", _ ("Less"));
#line 112 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	less_label = _tmp66_;
#line 113 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp67_ = self->priv->contrast_adjustment;
#line 113 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp68_ = gtk_adjustment_get_upper (_tmp67_);
#line 113 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp69_ = _tmp68_;
#line 113 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	upper = _tmp69_;
#line 114 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp70_ = g_strdup_printf ("<small>%s</small>", _ ("More"));
#line 114 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	more_label = _tmp70_;
#line 115 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp71_ = self->priv->contrast_scale;
#line 115 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp72_ = lower;
#line 115 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_scale_add_mark (_tmp71_, _tmp72_, GTK_POS_BOTTOM, less_label);
#line 116 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp73_ = self->priv->contrast_scale;
#line 116 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_scale_add_mark (_tmp73_, (gdouble) 0, GTK_POS_BOTTOM, NULL);
#line 117 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp74_ = self->priv->contrast_scale;
#line 117 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp75_ = upper;
#line 117 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_scale_add_mark (_tmp74_, _tmp75_, GTK_POS_BOTTOM, more_label);
#line 118 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp76_ = self->priv->contrast_adjustment;
#line 118 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_adjustment_set_value (_tmp76_, (gdouble) g_settings_get_int (_data7_->settings, "contrast"));
#line 119 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp77_ = self->priv->contrast_adjustment;
#line 119 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data (_tmp77_, "value-changed", (GCallback) ___lambda10__gtk_adjustment_value_changed, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 121 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	paper_width = g_settings_get_int (_data7_->settings, "paper-width");
#line 122 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	paper_height = g_settings_get_int (_data7_->settings, "paper-height");
#line 123 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	preferences_dialog_set_paper_size (self, paper_width, paper_height);
#line 124 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp78_ = self->priv->paper_size_combo;
#line 124 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data (_tmp78_, "changed", (GCallback) ___lambda11__gtk_combo_box_changed, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 132 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	preferences_dialog_set_page_delay (self, g_settings_get_int (_data7_->settings, "page-delay"));
#line 133 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp79_ = self->priv->page_delay_3s_button;
#line 133 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp79_, "toggled", (GCallback) ___lambda12__gtk_toggle_button_toggled, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 134 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp80_ = self->priv->page_delay_5s_button;
#line 134 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp80_, "toggled", (GCallback) ___lambda13__gtk_toggle_button_toggled, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 135 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp81_ = self->priv->page_delay_7s_button;
#line 135 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp81_, "toggled", (GCallback) ___lambda14__gtk_toggle_button_toggled, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 136 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp82_ = self->priv->page_delay_10s_button;
#line 136 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp82_, "toggled", (GCallback) ___lambda15__gtk_toggle_button_toggled, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 137 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp83_ = self->priv->page_delay_15s_button;
#line 137 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp83_, "toggled", (GCallback) ___lambda16__gtk_toggle_button_toggled, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_free0 (more_label);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_free0 (less_label);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_free0 (lighter_label);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_free0 (darker_label);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (renderer);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	block7_data_unref (_data7_);
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_data7_ = NULL;
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	return self;
#line 1049 "preferences-dialog.c"
}


PreferencesDialog*
preferences_dialog_new (GSettings* settings)
{
#line 55 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	return preferences_dialog_construct (TYPE_PREFERENCES_DIALOG, settings);
#line 1058 "preferences-dialog.c"
}


static void
preferences_dialog_set_page_side (PreferencesDialog* self,
                                  ScanType page_side)
{
#line 140 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 142 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	switch (page_side) {
#line 142 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		case SCAN_TYPE_ADF_FRONT:
#line 1072 "preferences-dialog.c"
		{
			GtkRadioButton* _tmp0_;
#line 145 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp0_ = self->priv->front_side_button;
#line 145 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, TRUE);
#line 146 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			break;
#line 1081 "preferences-dialog.c"
		}
#line 142 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		case SCAN_TYPE_ADF_BACK:
#line 1085 "preferences-dialog.c"
		{
			GtkRadioButton* _tmp1_;
#line 148 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp1_ = self->priv->back_side_button;
#line 148 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp1_, TRUE);
#line 149 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			break;
#line 1094 "preferences-dialog.c"
		}
		default:
#line 142 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		case SCAN_TYPE_ADF_BOTH:
#line 1099 "preferences-dialog.c"
		{
			GtkRadioButton* _tmp2_;
#line 152 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp2_ = self->priv->both_side_button;
#line 152 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp2_, TRUE);
#line 153 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			break;
#line 1108 "preferences-dialog.c"
		}
	}
}


ScanType
preferences_dialog_get_page_side (PreferencesDialog* self)
{
	ScanType result = 0;
	GtkRadioButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 157 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 159 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = self->priv->front_side_button;
#line 159 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
#line 159 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp2_ = _tmp1_;
#line 159 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp2_) {
#line 160 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		result = SCAN_TYPE_ADF_FRONT;
#line 160 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		return result;
#line 1135 "preferences-dialog.c"
	} else {
		GtkRadioButton* _tmp3_;
		gboolean _tmp4_;
		gboolean _tmp5_;
#line 161 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp3_ = self->priv->back_side_button;
#line 161 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp4_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp3_);
#line 161 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp5_ = _tmp4_;
#line 161 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		if (_tmp5_) {
#line 162 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			result = SCAN_TYPE_ADF_BACK;
#line 162 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			return result;
#line 1152 "preferences-dialog.c"
		} else {
#line 164 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			result = SCAN_TYPE_ADF_BOTH;
#line 164 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			return result;
#line 1158 "preferences-dialog.c"
		}
	}
}


void
preferences_dialog_set_paper_size (PreferencesDialog* self,
                                   gint width,
                                   gint height)
{
	GtkTreeIter iter = {0};
	gboolean have_iter = FALSE;
	gboolean _tmp14_;
	gboolean _tmp18_;
#line 167 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 1175 "preferences-dialog.c"
	{
		GtkListStore* _tmp0_;
		GtkTreeIter _tmp1_ = {0};
		gboolean _tmp2_;
		gboolean _tmp3_ = FALSE;
#line 172 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp0_ = self->priv->paper_size_model;
#line 172 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp2_ = gtk_tree_model_get_iter_first ((GtkTreeModel*) _tmp0_, &_tmp1_);
#line 172 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		iter = _tmp1_;
#line 172 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		have_iter = _tmp2_;
#line 172 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp3_ = TRUE;
#line 172 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		while (TRUE) {
#line 1193 "preferences-dialog.c"
			gboolean _tmp6_;
			gint w = 0;
			gint h = 0;
			GtkListStore* _tmp7_;
			GtkTreeIter _tmp8_;
			gint _tmp9_ = 0;
			gint _tmp10_ = 0;
			gboolean _tmp11_ = FALSE;
			gint _tmp12_;
#line 172 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			if (!_tmp3_) {
#line 1205 "preferences-dialog.c"
				GtkListStore* _tmp4_;
				gboolean _tmp5_;
#line 174 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp4_ = self->priv->paper_size_model;
#line 174 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp5_ = gtk_tree_model_iter_next ((GtkTreeModel*) _tmp4_, &iter);
#line 174 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				have_iter = _tmp5_;
#line 1214 "preferences-dialog.c"
			}
#line 172 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp3_ = FALSE;
#line 173 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp6_ = have_iter;
#line 173 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			if (!_tmp6_) {
#line 173 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				break;
#line 1224 "preferences-dialog.c"
			}
#line 177 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp7_ = self->priv->paper_size_model;
#line 177 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp8_ = iter;
#line 177 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			gtk_tree_model_get ((GtkTreeModel*) _tmp7_, &_tmp8_, 0, &_tmp9_, 1, &_tmp10_, -1, -1);
#line 177 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			w = _tmp9_;
#line 177 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			h = _tmp10_;
#line 178 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp12_ = w;
#line 178 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			if (_tmp12_ == width) {
#line 1240 "preferences-dialog.c"
				gint _tmp13_;
#line 178 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp13_ = h;
#line 178 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp11_ = _tmp13_ == height;
#line 1246 "preferences-dialog.c"
			} else {
#line 178 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp11_ = FALSE;
#line 1250 "preferences-dialog.c"
			}
#line 178 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			if (_tmp11_) {
#line 179 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				break;
#line 1256 "preferences-dialog.c"
			}
		}
	}
#line 182 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp14_ = have_iter;
#line 182 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (!_tmp14_) {
#line 1264 "preferences-dialog.c"
		GtkListStore* _tmp15_;
		GtkTreeIter _tmp16_ = {0};
		gboolean _tmp17_;
#line 183 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp15_ = self->priv->paper_size_model;
#line 183 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp17_ = gtk_tree_model_get_iter_first ((GtkTreeModel*) _tmp15_, &_tmp16_);
#line 183 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		iter = _tmp16_;
#line 183 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		have_iter = _tmp17_;
#line 1276 "preferences-dialog.c"
	}
#line 184 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp18_ = have_iter;
#line 184 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp18_) {
#line 1282 "preferences-dialog.c"
		GtkComboBox* _tmp19_;
		GtkTreeIter _tmp20_;
#line 185 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp19_ = self->priv->paper_size_combo;
#line 185 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp20_ = iter;
#line 185 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		gtk_combo_box_set_active_iter (_tmp19_, &_tmp20_);
#line 1291 "preferences-dialog.c"
	}
}


gint
preferences_dialog_get_text_dpi (PreferencesDialog* self)
{
	gint result = 0;
	GtkTreeIter iter = {0};
	gint dpi = 0;
	GtkComboBox* _tmp0_;
	GtkTreeIter _tmp1_ = {0};
	gboolean _tmp2_;
#line 188 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 191 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	dpi = DEFAULT_TEXT_DPI;
#line 193 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = self->priv->text_dpi_combo;
#line 193 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp2_ = gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 193 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	iter = _tmp1_;
#line 193 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp2_) {
#line 1317 "preferences-dialog.c"
		GtkListStore* _tmp3_;
		GtkTreeIter _tmp4_;
		gint _tmp5_ = 0;
#line 194 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp3_ = self->priv->text_dpi_model;
#line 194 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp4_ = iter;
#line 194 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		gtk_tree_model_get ((GtkTreeModel*) _tmp3_, &_tmp4_, 0, &_tmp5_, -1, -1);
#line 194 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		dpi = _tmp5_;
#line 1329 "preferences-dialog.c"
	}
#line 196 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	result = dpi;
#line 196 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	return result;
#line 1335 "preferences-dialog.c"
}


gint
preferences_dialog_get_photo_dpi (PreferencesDialog* self)
{
	gint result = 0;
	GtkTreeIter iter = {0};
	gint dpi = 0;
	GtkComboBox* _tmp0_;
	GtkTreeIter _tmp1_ = {0};
	gboolean _tmp2_;
#line 199 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 202 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	dpi = DEFAULT_PHOTO_DPI;
#line 204 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = self->priv->photo_dpi_combo;
#line 204 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp2_ = gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 204 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	iter = _tmp1_;
#line 204 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp2_) {
#line 1360 "preferences-dialog.c"
		GtkListStore* _tmp3_;
		GtkTreeIter _tmp4_;
		gint _tmp5_ = 0;
#line 205 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp3_ = self->priv->photo_dpi_model;
#line 205 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp4_ = iter;
#line 205 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		gtk_tree_model_get ((GtkTreeModel*) _tmp3_, &_tmp4_, 0, &_tmp5_, -1, -1);
#line 205 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		dpi = _tmp5_;
#line 1372 "preferences-dialog.c"
	}
#line 207 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	result = dpi;
#line 207 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	return result;
#line 1378 "preferences-dialog.c"
}


gboolean
preferences_dialog_get_paper_size (PreferencesDialog* self,
                                   gint* width,
                                   gint* height)
{
	gint _vala_width = 0;
	gint _vala_height = 0;
	gboolean result = FALSE;
	GtkTreeIter iter = {0};
	gint _tmp0_;
	GtkComboBox* _tmp1_;
	GtkTreeIter _tmp2_ = {0};
	gboolean _tmp3_;
#line 210 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 214 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_vala_height = 0;
#line 214 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = _vala_height;
#line 214 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_vala_width = _tmp0_;
#line 215 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = self->priv->paper_size_combo;
#line 215 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp3_ = gtk_combo_box_get_active_iter (_tmp1_, &_tmp2_);
#line 215 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	iter = _tmp2_;
#line 215 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp3_) {
#line 1411 "preferences-dialog.c"
		GtkListStore* _tmp4_;
		GtkTreeIter _tmp5_;
#line 217 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp4_ = self->priv->paper_size_model;
#line 217 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp5_ = iter;
#line 217 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		gtk_tree_model_get ((GtkTreeModel*) _tmp4_, &_tmp5_, 0, &_vala_width, 1, &_vala_height, -1, -1);
#line 218 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		result = TRUE;
#line 218 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		if (width) {
#line 218 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			*width = _vala_width;
#line 1426 "preferences-dialog.c"
		}
#line 218 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		if (height) {
#line 218 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			*height = _vala_height;
#line 1432 "preferences-dialog.c"
		}
#line 218 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		return result;
#line 1436 "preferences-dialog.c"
	}
#line 221 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	result = FALSE;
#line 221 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (width) {
#line 221 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		*width = _vala_width;
#line 1444 "preferences-dialog.c"
	}
#line 221 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (height) {
#line 221 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		*height = _vala_height;
#line 1450 "preferences-dialog.c"
	}
#line 221 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	return result;
#line 1454 "preferences-dialog.c"
}


gint
preferences_dialog_get_brightness (PreferencesDialog* self)
{
	gint result = 0;
	GtkAdjustment* _tmp0_;
	gdouble _tmp1_;
	gdouble _tmp2_;
#line 224 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 226 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = self->priv->brightness_adjustment;
#line 226 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = gtk_adjustment_get_value (_tmp0_);
#line 226 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp2_ = _tmp1_;
#line 226 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	result = (gint) _tmp2_;
#line 226 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	return result;
#line 1477 "preferences-dialog.c"
}


void
preferences_dialog_set_brightness (PreferencesDialog* self,
                                   gint brightness)
{
	GtkAdjustment* _tmp0_;
#line 229 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 231 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = self->priv->brightness_adjustment;
#line 231 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_adjustment_set_value (_tmp0_, (gdouble) brightness);
#line 1492 "preferences-dialog.c"
}


gint
preferences_dialog_get_contrast (PreferencesDialog* self)
{
	gint result = 0;
	GtkAdjustment* _tmp0_;
	gdouble _tmp1_;
	gdouble _tmp2_;
#line 234 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 236 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = self->priv->contrast_adjustment;
#line 236 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = gtk_adjustment_get_value (_tmp0_);
#line 236 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp2_ = _tmp1_;
#line 236 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	result = (gint) _tmp2_;
#line 236 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	return result;
#line 1515 "preferences-dialog.c"
}


void
preferences_dialog_set_contrast (PreferencesDialog* self,
                                 gint contrast)
{
	GtkAdjustment* _tmp0_;
#line 239 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 241 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = self->priv->contrast_adjustment;
#line 241 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_adjustment_set_value (_tmp0_, (gdouble) contrast);
#line 1530 "preferences-dialog.c"
}


gint
preferences_dialog_get_page_delay (PreferencesDialog* self)
{
	gint result = 0;
	GtkRadioButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 244 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 246 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = self->priv->page_delay_15s_button;
#line 246 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
#line 246 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp2_ = _tmp1_;
#line 246 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (_tmp2_) {
#line 247 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		result = 15000;
#line 247 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		return result;
#line 1555 "preferences-dialog.c"
	} else {
		GtkRadioButton* _tmp3_;
		gboolean _tmp4_;
		gboolean _tmp5_;
#line 248 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp3_ = self->priv->page_delay_10s_button;
#line 248 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp4_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp3_);
#line 248 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp5_ = _tmp4_;
#line 248 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		if (_tmp5_) {
#line 249 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			result = 10000;
#line 249 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			return result;
#line 1572 "preferences-dialog.c"
		} else {
			GtkRadioButton* _tmp6_;
			gboolean _tmp7_;
			gboolean _tmp8_;
#line 250 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp6_ = self->priv->page_delay_7s_button;
#line 250 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp7_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp6_);
#line 250 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp8_ = _tmp7_;
#line 250 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			if (_tmp8_) {
#line 251 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				result = 7000;
#line 251 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				return result;
#line 1589 "preferences-dialog.c"
			} else {
				GtkRadioButton* _tmp9_;
				gboolean _tmp10_;
				gboolean _tmp11_;
#line 252 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp9_ = self->priv->page_delay_5s_button;
#line 252 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp10_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp9_);
#line 252 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp11_ = _tmp10_;
#line 252 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				if (_tmp11_) {
#line 253 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					result = 5000;
#line 253 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					return result;
#line 1606 "preferences-dialog.c"
				} else {
#line 255 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					result = 3000;
#line 255 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					return result;
#line 1612 "preferences-dialog.c"
				}
			}
		}
	}
}


void
preferences_dialog_set_page_delay (PreferencesDialog* self,
                                   gint page_delay)
{
#line 258 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 260 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	if (page_delay >= 15000) {
#line 1628 "preferences-dialog.c"
		GtkRadioButton* _tmp0_;
#line 261 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		_tmp0_ = self->priv->page_delay_15s_button;
#line 261 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp0_, TRUE);
#line 1634 "preferences-dialog.c"
	} else {
#line 262 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		if (page_delay >= 10000) {
#line 1638 "preferences-dialog.c"
			GtkRadioButton* _tmp1_;
#line 263 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			_tmp1_ = self->priv->page_delay_10s_button;
#line 263 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp1_, TRUE);
#line 1644 "preferences-dialog.c"
		} else {
#line 264 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			if (page_delay >= 7000) {
#line 1648 "preferences-dialog.c"
				GtkRadioButton* _tmp2_;
#line 265 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp2_ = self->priv->page_delay_7s_button;
#line 265 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				gtk_toggle_button_set_active ((GtkToggleButton*) _tmp2_, TRUE);
#line 1654 "preferences-dialog.c"
			} else {
#line 266 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				if (page_delay >= 5000) {
#line 1658 "preferences-dialog.c"
					GtkRadioButton* _tmp3_;
#line 267 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					_tmp3_ = self->priv->page_delay_5s_button;
#line 267 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp3_, TRUE);
#line 1664 "preferences-dialog.c"
				} else {
					GtkRadioButton* _tmp4_;
#line 269 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					_tmp4_ = self->priv->page_delay_3s_button;
#line 269 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					gtk_toggle_button_set_active ((GtkToggleButton*) _tmp4_, TRUE);
#line 1671 "preferences-dialog.c"
				}
			}
		}
	}
}


static void
preferences_dialog_set_dpi_combo (PreferencesDialog* self,
                                  GtkComboBox* combo,
                                  gint default_dpi,
                                  gint current_dpi)
{
	GtkCellRendererText* renderer = NULL;
	GtkCellRendererText* _tmp0_;
	GtkCellRendererText* _tmp1_;
	GtkCellRendererText* _tmp2_;
	GtkListStore* model = NULL;
	GtkTreeModel* _tmp3_;
	GtkTreeModel* _tmp4_;
	GtkListStore* _tmp5_;
	gint* scan_resolutions = NULL;
	gint* _tmp6_;
	gint scan_resolutions_length1;
	gint _scan_resolutions_size_;
	gint* _tmp7_;
	gint _tmp7__length1;
#line 272 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 272 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_return_if_fail (combo != NULL);
#line 274 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp0_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 274 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_object_ref_sink (_tmp0_);
#line 274 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	renderer = _tmp0_;
#line 275 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp1_ = renderer;
#line 275 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) combo, (GtkCellRenderer*) _tmp1_, TRUE);
#line 276 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp2_ = renderer;
#line 276 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) combo, (GtkCellRenderer*) _tmp2_, "text", 1);
#line 278 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp3_ = gtk_combo_box_get_model (combo);
#line 278 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp4_ = _tmp3_;
#line 278 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp5_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp4_, gtk_list_store_get_type ()) ? ((GtkListStore*) _tmp4_) : NULL);
#line 278 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	model = _tmp5_;
#line 279 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp6_ = g_new0 (gint, 6);
#line 279 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp6_[0] = 75;
#line 279 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp6_[1] = 150;
#line 279 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp6_[2] = 300;
#line 279 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp6_[3] = 600;
#line 279 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp6_[4] = 1200;
#line 279 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp6_[5] = 2400;
#line 279 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	scan_resolutions = _tmp6_;
#line 279 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	scan_resolutions_length1 = 6;
#line 279 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_scan_resolutions_size_ = scan_resolutions_length1;
#line 280 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp7_ = scan_resolutions;
#line 280 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_tmp7__length1 = scan_resolutions_length1;
#line 1749 "preferences-dialog.c"
	{
		gint* dpi_collection = NULL;
		gint dpi_collection_length1 = 0;
		gint _dpi_collection_size_ = 0;
		gint dpi_it = 0;
#line 280 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		dpi_collection = _tmp7_;
#line 280 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		dpi_collection_length1 = _tmp7__length1;
#line 280 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
		for (dpi_it = 0; dpi_it < dpi_collection_length1; dpi_it = dpi_it + 1) {
#line 1761 "preferences-dialog.c"
			gint dpi = 0;
#line 280 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
			dpi = dpi_collection[dpi_it];
#line 1765 "preferences-dialog.c"
			{
				gchar* label = NULL;
				gint _tmp8_;
				GtkTreeIter iter = {0};
				GtkListStore* _tmp19_;
				GtkTreeIter _tmp20_ = {0};
				GtkListStore* _tmp21_;
				GtkTreeIter _tmp22_;
				gint _tmp23_;
				const gchar* _tmp24_;
				gint _tmp25_;
#line 283 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp8_ = dpi;
#line 283 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				if (_tmp8_ == default_dpi) {
#line 1781 "preferences-dialog.c"
					gint _tmp9_;
					gchar* _tmp10_;
#line 285 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					_tmp9_ = dpi;
#line 285 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					_tmp10_ = g_strdup_printf (_ ("%d dpi (default)"), _tmp9_);
#line 285 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					_g_free0 (label);
#line 285 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					label = _tmp10_;
#line 1792 "preferences-dialog.c"
				} else {
					gint _tmp11_;
#line 286 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					_tmp11_ = dpi;
#line 286 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					if (_tmp11_ == 75) {
#line 1799 "preferences-dialog.c"
						gint _tmp12_;
						gchar* _tmp13_;
#line 288 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
						_tmp12_ = dpi;
#line 288 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
						_tmp13_ = g_strdup_printf (_ ("%d dpi (draft)"), _tmp12_);
#line 288 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
						_g_free0 (label);
#line 288 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
						label = _tmp13_;
#line 1810 "preferences-dialog.c"
					} else {
						gint _tmp14_;
#line 289 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
						_tmp14_ = dpi;
#line 289 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
						if (_tmp14_ == 1200) {
#line 1817 "preferences-dialog.c"
							gint _tmp15_;
							gchar* _tmp16_;
#line 291 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
							_tmp15_ = dpi;
#line 291 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
							_tmp16_ = g_strdup_printf (_ ("%d dpi (high resolution)"), _tmp15_);
#line 291 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
							_g_free0 (label);
#line 291 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
							label = _tmp16_;
#line 1828 "preferences-dialog.c"
						} else {
							gint _tmp17_;
							gchar* _tmp18_;
#line 294 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
							_tmp17_ = dpi;
#line 294 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
							_tmp18_ = g_strdup_printf (_ ("%d dpi"), _tmp17_);
#line 294 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
							_g_free0 (label);
#line 294 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
							label = _tmp18_;
#line 1840 "preferences-dialog.c"
						}
					}
				}
#line 297 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp19_ = model;
#line 297 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				gtk_list_store_append (_tmp19_, &_tmp20_);
#line 297 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				iter = _tmp20_;
#line 298 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp21_ = model;
#line 298 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp22_ = iter;
#line 298 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp23_ = dpi;
#line 298 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp24_ = label;
#line 298 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				gtk_list_store_set (_tmp21_, &_tmp22_, 0, _tmp23_, 1, _tmp24_, -1, -1);
#line 300 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_tmp25_ = dpi;
#line 300 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				if (_tmp25_ == current_dpi) {
#line 1864 "preferences-dialog.c"
					GtkTreeIter _tmp26_;
#line 301 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					_tmp26_ = iter;
#line 301 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
					gtk_combo_box_set_active_iter (combo, &_tmp26_);
#line 1870 "preferences-dialog.c"
				}
#line 280 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
				_g_free0 (label);
#line 1874 "preferences-dialog.c"
			}
		}
	}
#line 272 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	scan_resolutions = (g_free (scan_resolutions), NULL);
#line 272 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (model);
#line 272 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (renderer);
#line 1884 "preferences-dialog.c"
}


static void
preferences_dialog_class_init (PreferencesDialogClass * klass)
{
	gint PreferencesDialog_private_offset;
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	preferences_dialog_parent_class = g_type_class_peek_parent (klass);
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	g_type_class_add_private (klass, sizeof (PreferencesDialogPrivate));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	G_OBJECT_CLASS (klass)->finalize = preferences_dialog_finalize;
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	PreferencesDialog_private_offset = g_type_class_get_instance_private_offset (klass);
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_set_template_from_resource (GTK_WIDGET_CLASS (klass), "/org/gnome/SimpleScan/preferences-dialog.ui");
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "text_dpi_combo", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, text_dpi_combo));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "photo_dpi_combo", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, photo_dpi_combo));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "paper_size_combo", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, paper_size_combo));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "brightness_scale", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, brightness_scale));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "contrast_scale", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, contrast_scale));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "page_delay_3s_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, page_delay_3s_button));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "page_delay_5s_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, page_delay_5s_button));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "page_delay_7s_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, page_delay_7s_button));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "page_delay_10s_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, page_delay_10s_button));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "page_delay_15s_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, page_delay_15s_button));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "text_dpi_model", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, text_dpi_model));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "photo_dpi_model", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, photo_dpi_model));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "front_side_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, front_side_button));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "back_side_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, back_side_button));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "both_side_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, both_side_button));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "paper_size_model", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, paper_size_model));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "brightness_adjustment", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, brightness_adjustment));
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "contrast_adjustment", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, contrast_adjustment));
#line 1938 "preferences-dialog.c"
}


static void
preferences_dialog_instance_init (PreferencesDialog * self)
{
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self->priv = PREFERENCES_DIALOG_GET_PRIVATE (self);
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	gtk_widget_init_template (GTK_WIDGET (self));
#line 1949 "preferences-dialog.c"
}


static void
preferences_dialog_finalize (GObject * obj)
{
	PreferencesDialog * self;
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_PREFERENCES_DIALOG, PreferencesDialog);
#line 16 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->settings);
#line 19 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->text_dpi_combo);
#line 21 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->photo_dpi_combo);
#line 23 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->paper_size_combo);
#line 25 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->brightness_scale);
#line 27 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->contrast_scale);
#line 29 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->page_delay_3s_button);
#line 31 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->page_delay_5s_button);
#line 33 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->page_delay_7s_button);
#line 35 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->page_delay_10s_button);
#line 37 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->page_delay_15s_button);
#line 39 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->text_dpi_model);
#line 41 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->photo_dpi_model);
#line 43 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->front_side_button);
#line 45 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->back_side_button);
#line 47 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->both_side_button);
#line 49 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->paper_size_model);
#line 51 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->brightness_adjustment);
#line 53 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->contrast_adjustment);
#line 14 "/builddir/build/BUILD/simple-scan-3.36.2.1/src/preferences-dialog.vala"
	G_OBJECT_CLASS (preferences_dialog_parent_class)->finalize (obj);
#line 1999 "preferences-dialog.c"
}


GType
preferences_dialog_get_type (void)
{
	static volatile gsize preferences_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&preferences_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PreferencesDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) preferences_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PreferencesDialog), 0, (GInstanceInitFunc) preferences_dialog_instance_init, NULL };
		GType preferences_dialog_type_id;
		preferences_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "PreferencesDialog", &g_define_type_info, 0);
		g_once_init_leave (&preferences_dialog_type_id__volatile, preferences_dialog_type_id);
	}
	return preferences_dialog_type_id__volatile;
}



